summaryrefslogtreecommitdiffstats
path: root/arch/updatehashes.sh
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2021-09-20 17:08:32 +0200
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2021-09-29 06:38:40 +0000
commit018f946ee70600993c60a74046f417ca05bdb41b (patch)
tree37829ad4f8af4005172148ee78ab38b67328cecb /arch/updatehashes.sh
parent2bcda9ee7da7582ee0e550a71b9f865cac76dce2 (diff)
downloadtde-packaging-018f946ee70600993c60a74046f417ca05bdb41b.tar.gz
tde-packaging-018f946ee70600993c60a74046f417ca05bdb41b.zip
ArchLinux: Take a newer state of pkgbuilds from Michael Manley
Clean old long-term not maintained pkgbuilds. Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'arch/updatehashes.sh')
-rwxr-xr-xarch/updatehashes.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/arch/updatehashes.sh b/arch/updatehashes.sh
new file mode 100755
index 000000000..268c97241
--- /dev/null
+++ b/arch/updatehashes.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+set -e
+tdesrc=$PWD
+
+cd $tdesrc/tde-core
+dir=$PWD
+for pkg in tqt3 tqtinterface arts dbus-tqt dbus-1-tqt tqca-tls libart-lgpl avahi-tqt tdelibs tdebase; do
+ cd "$dir"/tde-"$pkg"
+ updpkgsums
+done
+
+cd $tdesrc/tde-base
+dir=$PWD
+for pkg in tdeadmin tdeartwork tdebindings tdegraphics tdeutils; do
+ cd "$dir"/tde-"$pkg"
+ updpkgsums
+done
+
+cd $tdesrc/tde-libs
+dir=$PWD
+for pkg in libcaldav libcarddav libkdcraw libkexiv2; do
+ cd "$dir"/tde-"$pkg"
+ updpkgsums
+done
+
+cd $tdesrc/tde-extra
+dir=$PWD
+for pkg in tdenetwork tdegames amarok gtk-qt-engine gtk3-tqt-engine kmplayer krusader ksplash-engine-moodin style-qtcurve systemsettings tdeaccessibility tdeaddons tdeedu tdemultimedia tdenetworkmanager tdepim tdepowersave tdesudo tdetoys tdmtheme twin-style-crystal; do
+ cd "$dir"/tde-"$pkg"
+ updpkgsums
+done
+
+cd $tdesrc/tde-devel
+dir=$PWD
+for pkg in tdesdk tdevelop tdewebdev; do
+ cd "$dir"/tde-"$pkg"
+ updpkgsums
+done \ No newline at end of file